Sety
  1. Incidents
Sety
  • Developer API Reference
  • Health
    • Health check
      GET
  • Incidents
    • Create incident
      POST
    • List incidents
      GET
    • Get incident
      GET
    • Cancel incident
      POST
    • Add note
      POST
  • Access Logs
    • List access logs
      GET
    • Access log stats
      GET
    • Create access log
      POST
    • Get current visitors
      GET
    • Checkout visitor
      PATCH
  • Threat Intelligence
    • List danger zones
      GET
    • Danger analytics for a location
      GET
    • Heatmap data
      GET
    • Safety score
      GET
    • Route safety analysis
      GET
  • Schemas
    • Error
    • PaginatedResponse
    • GeoPoint
    • Subject
    • Location
    • IncidentLocation
    • SLA
    • IncidentTimelineEvent
    • ResponderAssignment
    • TimelineEvent
    • Incident
    • CreateIncidentRequest
    • IncidentAnalytics
    • AccessCode
    • CreateAccessCodeRequest
    • ValidationResult
    • AccessLog
    • CurrentVisitor
    • DangerAnalytics
    • HeatmapResponse
    • SafetyScore
    • TimeAnalysis
    • LocationComparison
    • RouteSafety
    • RiskPrediction
    • IncidentPatterns
    • SafeZones
    • ApiKey
    • CreateApiKeyRequest
    • WebhookEndpoint
    • WebhookDelivery
  1. Incidents

Cancel incident

POST
/incidents/{incidentId}/cancel
Cancel an active incident — for example if your user confirms they are safe
or the report was a false alarm.
Only incidents with an active status can be cancelled. Resolved incidents
cannot be reopened.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Incident cancelled
Body

🟠409
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/incidents/inc_a1b2c3d4e5f6g7h8/cancel' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "reason": "User confirmed they are safe"
}'
Response Response Example
200 - Example 1
{
    "incident": {
        "incident_id": "inc_a1b2c3d4e5f6g7h8",
        "idempotency_key": "string",
        "category": "sos",
        "severity": "low",
        "status": "created",
        "subject": {
            "name": "Amaka Obi",
            "phone": "+2348012345678",
            "email": "[email protected]",
            "reference": "TRIP-44821",
            "metadata": {
                "vehicle_plate": "LND-204-KJA",
                "driver_name": "Olu Babs"
            }
        },
        "title": "string",
        "description": "string",
        "location": {
            "coordinates": [
                3.3792,
                6.5244
            ],
            "address": "14 Bourdillon Road, Ikoyi, Lagos",
            "landmark": "Gate B — North entrance"
        },
        "resolution_outcome": "handled",
        "resolution_notes": "string",
        "is_drill": true,
        "timeline": [
            {
                "status": "string",
                "event": "created",
                "message": "string",
                "timestamp": "2019-08-24T14:15:22.123Z"
            }
        ],
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "resolved_at": "2019-08-24T14:15:22.123Z",
        "cancelled_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-03-10 02:58:15
Previous
Get incident
Next
Add note
Built with